### Class

# Ide BufferChangeMonitor

#### Description

    class Ide.BufferChangeMonitor : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Instance methods

###### ide_buffer_change_monitor_emit_changed

No description available.

###### ide_buffer_change_monitor_foreach_change

Calls `callback` for every line between `line_begin` and `line_end` that have an addition, deletion, or change.

Available since: 3.32

###### ide_buffer_change_monitor_get_buffer

Gets the `IdeBufferChangeMonitor:buffer` property.

Available since: 3.32

###### ide_buffer_change_monitor_get_change

No description available.

###### ide_buffer_change_monitor_reload

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.BufferChangeMonitor:buffer

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

###### Ide.BufferChangeMonitor::changed

No description available.

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeBufferChangeMonitorClass {
      IdeObjectClass parent_class;
      void (* load) (
        IdeBufferChangeMonitor* self,
        IdeBuffer* buffer
      );
      IdeBufferLineChange (* get_change) (
        IdeBufferChangeMonitor* self,
        guint line
      );
      void (* reload) (
        IdeBufferChangeMonitor* self
      );
      void (* foreach_change) (
        IdeBufferChangeMonitor* self,
        guint line_begin,
        guint line_end,
        IdeBufferChangeMonitorForeachFunc callback,
        gpointer user_data
      );

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.
`load` |
    void (* load) (
        IdeBufferChangeMonitor* self,
        IdeBuffer* buffer
      )
| No description available.
`get_change` |
    IdeBufferLineChange (* get_change) (
        IdeBufferChangeMonitor* self,
        guint line
      )
| No description available.
`reload` |
    void (* reload) (
        IdeBufferChangeMonitor* self
      )
| No description available.
`foreach_change` |
    void (* foreach_change) (
        IdeBufferChangeMonitor* self,
        guint line_begin,
        guint line_end,
        IdeBufferChangeMonitorForeachFunc callback,
        gpointer user_data
      )
| No description available.

#### Virtual methods

###### Ide.BufferChangeMonitorClass.foreach_change

Calls `callback` for every line between `line_begin` and `line_end` that have an addition, deletion, or change.

Available since: 3.32

###### Ide.BufferChangeMonitorClass.get_change

No description available.

###### Ide.BufferChangeMonitorClass.load

No description available.

###### Ide.BufferChangeMonitorClass.reload

No description available.